#
# Conditional build:
%bcond_without	levmar	# LEVMAR optimization algorithm
#
Summary:	Teem - tools to process and visualize scientific data and images
Summary(pl.UTF-8):	Teem - narzędzia do przetwarzania i wizualizacji danych i obrazów naukowych
Name:		teem
Version:	1.11.0
Release:	3
License:	SLUL v1 (LGPL v2.1+ with linking exception)
Group:		Libraries
Source0:	http://downloads.sourceforge.net/teem/%{name}-%{version}-src.tar.gz
# Source0-md5:	6b9737e8b7640e18eaf281e830fe59d1
Patch0:		%{name}-lib.patch
Patch1:		%{name}-levmar.patch
URL:		http://teem.sourceforge.net/
BuildRequires:	bzip2-devel
BuildRequires:	cmake >= 2.4
BuildRequires:	fftw3-devel
%{?with_levmar:BuildRequires:	levmar-devel}
BuildRequires:	libpng-devel
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Teem - tools to process and visualize scientific data and images.

%description -l pl.UTF-8
Teem - narzędzia do przetwarzania i wizualizacji danych i obrazów
naukowych.

%package devel
Summary:	Header files for Teem library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Teem
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for Teem library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Teem.

%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p1
%patch1 -p1

%build
%cmake . \
	-DTeem_FFTW3=ON \
	%{?with_levmar:-DTeem_LEVMAR=ON}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE.txt README.txt
%attr(755,root,root) %{_bindir}/gprobe
%attr(755,root,root) %{_bindir}/ilk
%attr(755,root,root) %{_bindir}/miter
%attr(755,root,root) %{_bindir}/mrender
%attr(755,root,root) %{_bindir}/nrrdSanity
%attr(755,root,root) %{_bindir}/overrgb
%attr(755,root,root) %{_bindir}/puller
%attr(755,root,root) %{_bindir}/tend
%attr(755,root,root) %{_bindir}/unu
%attr(755,root,root) %{_bindir}/vprobe
%attr(755,root,root) %{_libdir}/libteem.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libteem.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libteem.so
%{_includedir}/teem
%{_libdir}/cmake/teem
%changelog
* Tue Oct 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/teem.git;a=log;h=master

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 91d4742
- release 3 (by relup.sh)

* Fri Jan 25 2013 Jakub Bogusz <qboosh@pld-linux.org> f1d8664
- release 2

* Fri Jan 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 9e81d79
- added levmar patch, build with LEVMAR optimization support

* Sat Dec 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 2c37ab6
- added lib patch (respect LIB_SUFFIX)

* Fri Dec 28 2012 Jakub Bogusz <qboosh@pld-linux.org> f9e6cef
- new

